View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004711ParaView(No Category)public2007-03-28 15:582009-05-13 13:59
ReporterDavid Karelitz 
Assigned ToJon Goldman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0004711: Add the ability to save a line chart as a CSV file
DescriptionHistograms can be saved as CSV files, and CSV files can be shown in line charts, but line charts can't be saved as CSV files.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0008679)
Jon Goldman (reporter)
2007-08-27 16:47

I've started looking at this bug, and here are some "operational" things I've found so far
(Unless noted, I tried these from both a Aug 27 4am CVS check-out and build using vis studio 2005, and from a Sandia 3.0.2 installation, running locally only, i.e, not client server mode):

-- If you read a CVS file, you can re-save it's line chart as a (new) CSV file.
-- If you create a Wavelet source, then feed this into a Plot-over-line filter, then try to save the ProbeLine item (that is selected in the pipeline browser), you can't save it as a CSV file, but you can save the geometry of the line as a pvd, for example.
-- If you read in an Exodus file, and color by variable (e.g. temperature), and then select Plot Point Over Time filter, you can save this plot as a CSV file. Incidentally I was able to read this CSV line plot back in and display it.

Other notes: I did come across several crashing bugs during this investigation. Unfortunately it seemed pretty easy to crash but not always easy to repeat the crashes. I'll submit new bug reports for the ones I can repeat.
(0008683)
Jon Goldman (reporter)
2007-08-27 17:40

Client-server udpate: I just tried 3.0.2 in client server mode, and loaded disk_out_ref.exo, and the only File of type available when I try to save data is "PVTK PolytData Files". I'm assuming that the Aug 27 build will behave the same...
(0008686)
Jon Goldman (reporter)
2007-08-27 18:18

Well now I am mystified. I went back to client-only mode and now I can _NOT_ get the Save Data to save a line plot to CSV file (after loading and plotting exodus files). I swear I was not hallucinating earlier...
(0008687)
Jon Goldman (reporter)
2007-08-27 18:22

ok, I think I see what's going on: Plot Point Over Time let's you save the line plot to a CSV file, but Plot Over Line filter does not (for whatever reason).
(0008729)
Jon Goldman (reporter)
2007-08-28 17:25

After some investigation it looks like the issue is that filters that generate Rectilinear Grids can be saved to CSV files, i.e. the CSV writer expects a rectilinear grid dataset. "Plot point over time" does just this, whereas "Plot over line" generates a Polygonal Mesh data type. So I guess the CSV writer needs to be modified to handle a more generic vtk dataset type.
(0009038)
Jon Goldman (reporter)
2007-09-17 17:22

This bug is related to 0005185
(0009563)
Ken Moreland (manager)
2007-10-25 13:11

This feature works in serial, but not in parallel. The parallel feature will not be complete by 3.4.
(0009573)
Jon Goldman (reporter)
2007-10-25 19:53

Correction on Ken's note from 10-25-2007:
   This feature works in serial, but not in parallel. I expect to complete the parallel feature by 3.4.
-Jon
(0010425)
Jon Goldman (reporter)
2008-02-07 13:28

I just checked in vtkPCSVWriter class, should basically work in parallel now.
(0011179)
Berk Geveci (administrator)
2008-04-08 16:24

What is the status of this issue?
(0011196)
Jon Goldman (reporter)
2008-04-08 18:46

Berk, I talked to Alan Scott today and he was going to try to find some time to test this new feature.

by the way, is there a mechanism to Cc: somebody when you add a "Note" in the bug tracker? for example, on this note I wanted to Cc: Alan Scott, but I didn't see an obvious way.
(0011281)
Berk Geveci (administrator)
2008-04-14 13:21

Jon,

The easiest way to send a message to multiple people is to use the "Send Reminder" feature. As a side effect, "Send Reminder" makes the receivers observers of the bug and all following messages get sent to them.
(0011288)
Jon Goldman (reporter)
2008-04-14 14:29

Reminder sent to: Alan Scott

Alan, Berk showed me how one can "Send a reminder" to somebody, which I just did for you (so you would remember to test this feature),

and from now you'll get notifications! :-)

-Jon
(0011419)
Jon Goldman (reporter)
2008-04-17 18:06

I talked to Alan and he says to mark it resolved.
(0011517)
Alan Scott (manager)
2008-04-23 15:00

Tested client/server

- Issue History
Date Modified Username Field Change
2007-08-13 16:37 Berk Geveci Assigned To Berk Geveci => Dave DeMarle
2007-08-13 16:37 Berk Geveci Priority normal => high
2007-08-23 15:18 Berk Geveci Assigned To Dave DeMarle => Jon Goldman
2007-08-23 17:10 Berk Geveci Category => 3.2
2007-08-27 16:47 Jon Goldman Note Added: 0008679
2007-08-27 17:40 Jon Goldman Note Added: 0008683
2007-08-27 18:18 Jon Goldman Note Added: 0008686
2007-08-27 18:22 Jon Goldman Note Added: 0008687
2007-08-28 17:25 Jon Goldman Note Added: 0008729
2007-09-17 17:22 Jon Goldman Note Added: 0009038
2007-10-25 13:11 Ken Moreland Note Added: 0009563
2007-10-25 13:11 Ken Moreland Priority high => normal
2007-10-25 19:53 Jon Goldman Note Added: 0009573
2008-02-07 13:28 Jon Goldman Note Added: 0010425
2008-04-08 16:24 Berk Geveci Note Added: 0011179
2008-04-08 18:46 Jon Goldman Note Added: 0011196
2008-04-14 13:21 Berk Geveci Note Added: 0011281
2008-04-14 13:21 Berk Geveci Category => 3.4
2008-04-14 14:29 Jon Goldman Note Added: 0011288
2008-04-17 18:06 Jon Goldman Note Added: 0011419
2008-04-17 18:08 Jon Goldman Status tabled => @80@
2008-04-23 15:00 Alan Scott Status @80@ => closed
2008-04-23 15:00 Alan Scott Note Added: 0011517
2008-04-23 15:00 Alan Scott Resolution open => fixed
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker